using Exam.Infrastructure.Extensions;
using Hotline.Exams.Sourcewares;
using Hotline.Share.Requests.Sourceware;
using SqlSugar;
using System.Linq.Expressions;

namespace Exam.Application.QueryExtensions.Sourcewares
{
    public static class SourcewareQueryExtesions
    {
        public static Expression<Func<Sourceware,bool>> GetExpression(this SourcewarePagedRequest sourcewarePagedRequest)
        {
            Expression<Func<Sourceware, bool>> expression = m=>m.Id!=null;

            Expressionable<Sourceware> expressionable = new Expressionable<Sourceware>();

            expressionable = expressionable.AndIF(sourcewarePagedRequest.Name.IsNotNullOrEmpty(), m => m.Name.Contains(sourcewarePagedRequest.Name));
            expressionable = expressionable.AndIF(sourcewarePagedRequest.SourcewareType.IsNotNullOrEmpty(),m=>m.SourcewareType == sourcewarePagedRequest.SourcewareType);

            expression = expressionable.ToExpression();

            return expression;
        }

    }
}



