﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Exam.Share.Dtos.ExamManage
{
    public class GradingExtamItemDto:ActionRequest
    {
        /// <summary>
        /// 用户考试Id
        /// </summary>
        [Description("用户考试Id")]
        public string UserExamId { get; set; }

        /// <summary>
        /// 得分
        /// </summary>
        [Description("得分")]
        public int Score { get; set; }

        /// <summary>
        /// 是否已阅卷
        /// </summary>
        [Description("是否已阅卷")]
        public bool IsCheck { get; set; }
    }
}
