﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Practices
{
    /// <summary>
    /// 练习答案
    /// </summary>
    [Description("练习答案")]
    public class PracticeAnswerDto:ActionRequest
    {
        /// <summary>
        /// 练习试题Id
        /// </summary>
        [Description("练习试题Id")]
        public string PracticeQuestionId { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        [Description("答案")]
        public string? Answer { get; set; }

        /// <summary>
        /// 试题选项
        /// </summary>
        [Description("试题选项")]
        public string? QuestionOptionId { get; set; }
    }
}
