﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Practices
{
    /// <summary>
    /// 练习题目
    /// </summary>
    [Description("练习题目")]
    public class PracticeQuestionDto:ActionRequest
    {
        /// <summary>
        /// 练习Id
        /// </summary>
        [Description("练习Id")]
        public string PracticeId { get; set; }

        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 练习答案
        /// </summary>
        [Description("练习答案")]
        public List<PracticeAnswerDto> PracticeAnswerDtos { get; set; }
    }
}
