﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Trains
{
    /// <summary>
    /// 培训人员
    /// </summary>
    [Description("培训人员")]
    public class TrainUserDto:ActionRequest
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 培训计划Id
        /// </summary>
        [Description("培训计划Id")]
        public string TrainPlanId { get; set; }
    }
}
