﻿using Exam.Infrastructure.Data.Interface;

namespace Hotline.Share.Requests.Exam
{
    public record UserExamPagedRequest:PagedRequest,IQueryRequest
    {
        public string Name { get; set; }

        public int Type { get; set; }

        public DateTime MinStartTime { get; set; }

        public DateTime MaxStartTime { get; set; }

        public DateTime MinEndTime { get; set; }

        public DateTime MaxEndTime { get; set; }

        public int MinTotalScore { get; set; }

        public int MaxTotalScore { get; set; }

        public int MinScore { get; set; }

        public int MaxScore { get; set; }
    }
}
