﻿using Exam.Infrastructure.Data.Entity;
using Hotline.Share.Dtos.Practices;
using System.ComponentModel;

namespace Exam.Share
{
    /// <summary>
    /// 练习
    /// </summary>
    [Description("练习")]
    public class PracticeDto:ActionRequest
    {
        /// <summary>
        /// 练习流水号
        /// </summary>
        [Description("练习流水号")]
        public string Code { get; set; }

        /// <summary>
        /// 练习类型
        /// </summary>
        [Description("练习类型")]
        public string PracticeType { get; set; }

        /// <summary>
        /// 出题数量
        /// </summary>
        [Description("出题数量")]
        public int Count { get; set; }


        /// <summary>
        /// 练习标签
        /// </summary>
        [Description("练习标签")]
        public List<PracticeTagDto> PracticeTagDtos { get; set; }
    }
}
